#!/bin/sh
PASSWD=`cat /mnt/base/etc/.adpasswd`
USER=`cat /etc/smb.conf | grep "#ad_login_user" | awk -F'=' '{printf $2}' | awk '{gsub(" ","",$0);print $0}'`
DOMAIN=`cat /etc/krb5.conf | grep "default_domain"| awk -F'=' '{printf $2}' | awk '{gsub(" ","",$0);print $0}`
TIMEOUT=5
INTERFACE_SCRIPT=/etc/init.d/nas/getinterface.sh

#No interface available.
[ -f $INTERFACE_SCRIPT ] || exit 1

net time set $DOMAIN

echo $PASSWD| kinit $USER@$DOMAIN &

kinit_pid=$!
(sleep $TIMEOUT && kill -9 $kinit_pid > /dev/null 2>&1) &
wait $kinit_pid > /dev/null 2>&1

[ $? -gt 0 ] && exit 1
kinit -R

$INTERFACE_SCRIPT

net ads join -U${USER}%${PASSWD}

[ $? -gt 0 ] && net rpc join -U${USER}%${PASSWD}

/usr/app/samba/init.d/winbind restart &
exit 0
